package com.unipi.talepis.thirdapp;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity {
    Button button1,button2;
    EditText editText;

    class MyClass implements View.OnClickListener{

        @Override
        public void onClick(View view) {
            System.out.println("Hello from MyClass");
        }
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        editText = findViewById(R.id.editTextTextPersonName);
        button1 = findViewById(R.id.button1);
        button2 = findViewById(R.id.button2);
        MyClass myClass = new MyClass();
        button1.setOnClickListener(myClass);
        Object o = new Object(){
            void hello(){

            }
        }; //anonymous class that extends a class
        button1.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                System.out.println("Hello form Anonymous class that implements an interface!");
            }
        });
        button1.setOnClickListener((view)-> {System.out.println("Hello from lambda expression!!!");
            System.out.println("Double line command");});
        button2.setOnClickListener((view)->{
            if (editText.getText().toString().equals("Unipi"))
                startActivity(new Intent(getApplicationContext(),MainActivity2.class));
            else
                Toast.makeText(getApplicationContext(),"Wrong pass",Toast.LENGTH_LONG).show();
        });
    }
    public void doSomething(View view){

    }
}